/*
* ============================================================================
*  Name     : CRTEApp from RichTextEditorApp.h
*  Part of  : RichTextEditor
*  Created  : 05/08/2006 by Forum Nokia 
*  Version  : 2.0
*  Copyright: Forum Nokia
* ============================================================================
*/

#ifndef RTEAPP_H
#define RTEAPP_H

// INCLUDES
#include <aknapp.h>

// CONSTANTS
// UID of the application
#ifdef __SERIES60_30__
const TUid KUidRTE = { 0xE1EF0030 };
#else
const TUid KUidRTE = { 0x01EF0030 };
#endif
// CLASS DECLARATION

/**
* CRTEApp application class.
* Provides factory to create concrete document object.
* 
*/
class CRTEApp : public CAknApplication
    {
    
    public: // Functions from base classes
    private:

        /**
        * From CApaApplication, creates CRTEDocument document object.
        * @return A pointer to the created document object.
        */
        CApaDocument* CreateDocumentL();
        
        /**
        * From CApaApplication, returns application's UID (KUidRTE).
        * @return The value of KUids.
        */
        TUid AppDllUid() const;
    };

#endif

// End of File

