 /*
* ============================================================================
*  Name     : CRTEAppUi from RichTextEditorAppUi.h
*  Part of  : RichTextEditor
*  Created  : 05/08/2006 by Forum Nokia 
*  Version  : 2.0
*  Copyright: Forum Nokia
* ============================================================================
*/

#ifndef RTEAPPUI_H
#define RTEAPPUI_H

// INCLUDES
#include <eikapp.h>
#include <eikdoc.h>
#include <e32std.h>
#include <coeccntx.h>
#include <aknappui.h>

// FORWARD DECLARATIONS
class CRTEContainer;


// CLASS DECLARATION

/**
* Application UI class.
* Provides support for EIKON control architecture
* 
*/
class CRTEAppUi : public CAknAppUi
    {
    public: // // Constructors and destructor

        /**
        * EPOC default constructor.
        */      
        void ConstructL();

        /**
        * Destructor.
        */      
        ~CRTEAppUi();
        
	  /**
         * HandleStatusPaneSizeChange.
         * Called by framework when the view layout is changed.
         */
        void HandleStatusPaneSizeChange();

    private:
        /**
        * From CEikAppUi, takes care of command handling.
        * @param aCommand command to be handled
        */
        void HandleCommandL(TInt aCommand);

    private: //Data
        CRTEContainer* iAppContainer; 
    };

#endif

// End of File
