/*
* ============================================================================
*  Name     : CRTEApp from RichTextEditorApp.cpp
*  Part of  : RichTextEditor
*  Created  : 05/08/2006 by Forum Nokia 
*  Version  : 2.0
*  Copyright: Forum Nokia
* ============================================================================
*/

// INCLUDE FILES
#include    "RichTextEditorApp.h"
#include    "RichTextEditorDocument.h"
#ifdef __SERIES60_3X__
#include <eikstart.h>
#endif
// ================= MEMBER FUNCTIONS =======================

// ---------------------------------------------------------
// CRTEApp::AppDllUid()
// Returns application UID
// ---------------------------------------------------------
//
TUid CRTEApp::AppDllUid() const
    {
    return KUidRTE;
    }

// ---------------------------------------------------------
// CRTEApp::CreateDocumentL()
// Creates CRTEDocument object
// ---------------------------------------------------------
//
CApaDocument* CRTEApp::CreateDocumentL()
    {
    return CRTEDocument::NewL( *this );
    }

// ================= OTHER EXPORTED FUNCTIONS ==============
//
// ---------------------------------------------------------
// NewApplication() 
// Constructs CRTEApp
// Returns: created application object
// ---------------------------------------------------------
//
EXPORT_C CApaApplication* NewApplication()
    {
    return new CRTEApp;
    }

#ifndef __SERIES60_3X__
// ---------------------------------------------------------
// E32Dll(TDllReason) 
// Entry point function for EPOC Apps
// Returns: KErrNone: No error
// ---------------------------------------------------------
//
GLDEF_C TInt E32Dll( TDllReason )
{
    return KErrNone;
}
#else
// ---------------------------------------------------------
// E32Main()
// Entry point function for new (>= 9.0) EPOC Apps (exe)
// Returns: Sistem Wide error codes or KErrNone if all goes well
// ---------------------------------------------------------
//
GLDEF_C TInt E32Main()
{
	return EikStart::RunApplication( NewApplication );
}
#endif
// End of File  

