/*
* ============================================================================
*  Name     : CRTEDocument from RichTextEditorDocument.h
*  Part of  : RichTextEditor
*  Created  : 05/08/2006 by Forum Nokia 
*  Implementation notes: - standard Avkon document class source
*  Version  : 2.0
*  Copyright: Forum Nokia
* ============================================================================
*/

// INCLUDE FILES
#include "RichTextEditorDocument.h"
#include "RichTextEditorAppUi.h"

// ================= MEMBER FUNCTIONS =======================

// constructor
CRTEDocument::CRTEDocument(CEikApplication& aApp)
: CAknDocument(aApp)    
    {
    }

// destructor
CRTEDocument::~CRTEDocument()
    {
    }

// EPOC default constructor can leave.
void CRTEDocument::ConstructL()
    {
    }

// Two-phased constructor.
CRTEDocument* CRTEDocument::NewL(
        CEikApplication& aApp)     // CRTEApp reference
    {
    CRTEDocument* self = new (ELeave) CRTEDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    CleanupStack::Pop();//Self

    return self;
    }
    
// ----------------------------------------------------
// CRTEDocument::CreateAppUiL()
// constructs CRTEAppUi
// ----------------------------------------------------
//
CEikAppUi* CRTEDocument::CreateAppUiL()
    {
    return new (ELeave) CRTEAppUi;
    }

// End of File  
